.sidebar.ux {
    background: #FFF;
}

/* we set all default buttons to `grey` so please lighten if not in dark theme */
body:not(.theme-dark) .ui.grey.buttons .button,
body:not(.theme-dark) .ui.grey.button {
  background-color: #E0E1E2;
  color: rgba(0, 0, 0, 0.6);
}


body:not(.theme-dark) div.dtsb-searchBuilder select.dtsb-data,
body:not(.theme-dark) div.dtsb-searchBuilder select.dtsb-dropDown, 
body:not(.theme-dark) div.dtsb-searchBuilder .dtsb-option,
body:not(.theme-dark) div.dtsb-searchBuilder input.dtsb-input,
body:not(.theme-dark) div.dtsb-searchBuilder select.dtsb-italic {
    border: 1px solid #BBB !important;
}
.dtsb-button {
    padding: 7px 15px 7px 15px !important;
}

/*
 * Dark theme
 */

body.theme-dark,
body.theme-dark .ui.menu,
body.theme-dark .ui.menu .item,
body.theme-dark .ui.menu .item:hover {
    background: #191919 !important;
    color: rgba(255,255,255,.87);
}
body.theme-dark .sidebar.ux {
    background: #191919;
}
body.theme-dark a,
body.theme-dark h1,
body.theme-dark h2,
body.theme-dark h3,
body.theme-dark h4,
body.theme-dark h5,
body.theme-dark .ui.header,
body.theme-dark .ui.table,
body.theme-dark .ui.table > thead > tr > th,
body.theme-dark table.dataTable tbody tr,
body.theme-dark table.dataTable thead th,
body.theme-dark table.dataTable thead td,
body.theme-dark textarea,
body.theme-dark .ui.segment {
    background: transparent !important;
    color: rgba(255,255,255,.87) !important;
}
body.theme-dark .ui.tertiary.button,
body.theme-dark .ui.header .sub.header {
    color: rgba(255,255,255,.57);
}
body.theme-dark .ui.basic.label {
    /*background: #666 !important;*/
}
body.theme-dark .ui.message,
body.theme-dark .ui.menu .dropdown.item .menu {
    background-color: #1b1c1d;
    color: rgba(255,255,255,.9) !important;
}
body.theme-dark .ui.menu .dropdown.item .menu .item,
body.theme-dark .ui.menu .dropdown.item .menu a.item,
body.theme-dark .ui.menu .ui.dropdown .menu > .active.item {
    color: rgba(255,255,255,.9) !important;
}
body.theme-dark .ui.menu .dropdown.item .menu a.item:hover {
    color: rgba(233,176,11) !important;
}
body.theme-dark .ui.secondary.segment,
body.theme-dark .ui.form .field > label,
body.theme-dark .ui.form .field > p,
body.theme-dark .ui.form .fields .field > label,
body.theme-dark .ui.form .fields .field > p,
body.theme-dark .ui.form .fields > label,
body.theme-dark .ui.toggle.checkbox input:checked ~ label,
body.theme-dark .ui.checkbox input + label[for], 
body.theme-dark .ui.checkbox input.hidden + label {
    color: rgba(255,255,255,.87) !important;
}
body.theme-dark .ui.segment {
    border-color: rgba(255,255,0,.15);
}
body.theme-dark #footer {
    background: transparent;
    border-top: none;
    border-bottom: none;
}
body.theme-dark #footer a {
    color: rgba(255,255,255,.47);
}
body.theme-dark .ui.black.button, 
body.theme-dark .ui.black.buttons .button {
    background: #333;
}

body.theme-dark .buttons-columnVisibility:hover span,
body.theme-dark .buttons-colvisRestore:hover span,
body.theme-dark .product__set_active,
body.theme-dark .ui.toast .content .header {
    color: #000 !important;
}
body.theme-dark .buttons-columnVisibility:not(.active) span,
body.theme-dark .buttons-colvisRestore:not(.active) span {
    color: #999 !important;
}

body.theme-dark input,
body.theme-dark .ui.selection.dropdown,
body.theme-dark .ui.basic.button,
body.theme-dark .ui.basic.buttons .button {
    background: #333 !important;
    color: #F1F1F1 !important;
}
body.theme-dark div.dtsb-searchBuilder select.dtsb-data,
body.theme-dark div.dtsb-searchBuilder select.dtsb-dropDown, 
body.theme-dark div.dtsb-searchBuilder .dtsb-option,
body.theme-dark div.dtsb-searchBuilder input.dtsb-input,
body.theme-dark div.dtsb-searchBuilder select.dtsb-italic {
    border: 2px solid #333 !important;
    background: #000 !important;
    color: #F1F1F1 !important;
}
body.theme-dark .dropzone {
    background: #222;
    color: rgba(255,255,255,.87);
}
body.theme-dark .ui.inverted.menu {
    border-bottom: 1px solid #2A2A2A;
}
body.theme-dark .status-label .label,
.ui.basic.labels .teal.label, .ui.ui.ui.basic.teal.label {
    background: transparent !important;
}

body.theme-dark .ui.modal,
body.theme-dark .ui.modal > .header,
body.theme-dark .ui.modal .ui.header,
body.theme-dark .ui.modal .ui.header .sub.header,
body.theme-dark .ui.modal .content,
body.theme-dark .editable-modal__fields-header,
body.theme-dark .store-head {
    /*background: transparent !important;*/
    background: #191919 !important;
    color: rgba(255,255,255,.87) !important;
}
